Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234368 - Review Request: gnome-games-extra-data - themes for gnome-games
Summary: Review Request: gnome-games-extra-data - themes for gnome-games
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-28 18:43 UTC by Matthias Clasen
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-02 21:29:57 UTC
jochen: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)
Local build log (deleted)
2007-03-29 14:29 UTC, Jochen Schmitt
no flags Details

Description Matthias Clasen 2007-03-28 18:43:00 UTC
Spec URL: http://people.redhat.com/mclasen/gnome-games-extra-data/gnome-games-extra-data.spec
SRPM URL: http://people.redhat.com/mclasen/gnome-games-extra-data/gnome-games-extra-data-2.17.90-1.src.rpm
Description: 
The gnome-games-extra-data package includes additional data
and themes for the games in the gnome-games package.

This package is being split off gnome-games to save room on the live cd.

Comment 1 Ray Strode [halfline] 2007-03-28 18:56:20 UTC
> Requires: gnome-games >= 2.18.0-2 

Should this say 2.18.0-2.fc7 ?

Comment 2 Matthias Clasen 2007-03-28 18:57:13 UTC
Actually, it should say 2.18.0-3.fc7

Comment 3 Ray Strode [halfline] 2007-03-28 18:58:02 UTC
you have %define build_tali that i don't see referenced anywhere

Comment 4 Ray Strode [halfline] 2007-03-28 18:59:34 UTC
can we just drop the 

#
# lawyers are fun
# lawyers are fun little
#

comment?  it seems like noise

Comment 5 Matthias Clasen 2007-03-28 19:04:50 UTC
I've copied it from the gnome-games .spec, since it gives at least a hint why
we remove gnometris, but sure, I can remove it or replace it by a more neutral
comment.

Comment 6 Matthias Clasen 2007-03-28 19:05:43 UTC
Spec and srpm updated 

Comment 7 Jochen Schmitt 2007-03-28 19:28:26 UTC
Good:
+ Naming seems ok.
+ License is ok.
+ Tar ball matches upstream.
+ Local build works fine.
+ Rpmlint is ok on binary package.

Bad:
- URL tag is missing.
- Missing %{?_smp_mflags]

Comment 9 Jochen Schmitt 2007-03-29 14:29:43 UTC
Created attachment 151200 [details]
Local build log

Sorry, but something is wrong with your package.

When I try to build it, no binary packages will produced. The end of the build
log look like:

Comment 10 Matthias Clasen 2007-03-29 19:53:55 UTC
Heh. I added the smp flags to the spec file exactly as you asked for. 
Note the closing ] ...

I've fixed that now. New spec file and srpm at the same place.

Comment 11 Jochen Schmitt 2007-04-01 18:44:51 UTC
Good:
+ Naming ok.
+ Tar ball metaches with upstream.
+ rpmlint quite on source package.
+ Local build works fine.
+ Rpmlint quite on binary package.
+ Local install and uninstall works fine.
+ License ok.
+ Package contains verbatin copy of the license text.






Comment 12 Matthias Clasen 2007-04-02 19:13:43 UTC
New Package CVS Request
=======================
Package Name: gnome-games-extra-data 
Short Description: The gnome-games-extra-data package includes additional data
                   and themes for the games in the gnome-games package.
Owners: mclasen@redhat.com
Branches: FC-7
InitialCC: 

Comment 13 Matthias Clasen 2007-04-02 21:29:57 UTC
Built


Note You need to log in before you can comment on or make changes to this bug.